// -!- c++ -!- //////////////////////////////////////////////////////////////
//
//  System        : 
//  Module        : 
//  Object Name   : $RCSfile$
//  Revision      : $Revision$
//  Date          : $Date$
//  Author        : $Author$
//  Created By    : Robert Heller
//  Created       : Thu Apr 10 15:31:29 2014
//  Last Modified : <150724.1630>
//
//  Description	
//
//  Notes
//
//  History
//	
/////////////////////////////////////////////////////////////////////////////
//
//  Copyright (c) 2014 Deepwoods Software.
// 
//  All Rights Reserved.
// 
// This  document  may  not, in  whole  or in  part, be  copied,  photocopied,
// reproduced,  translated,  or  reduced to any  electronic  medium or machine
// readable form without prior written consent from Deepwoods Software.
//
//////////////////////////////////////////////////////////////////////////////

#ifndef __INTRODUCTION_H
#define __INTRODUCTION_H

/** @page Introduction Introduction
 * @section org How this manual is organized.
 *
 * This manual is broken up into "parts", one for each "main program".
 * @latexonly
 * \footnote{The various programming libraries are described in the programming
 * guides\cite{progguide}.} 
 * @endlatexonly
 * Each part contains two or more chapters, a tutorial chapter and one or 
 * more reference chapters.  These parts are:
 *   - Chapter @ref univtest documents the Universal Test program. This
 *     program is part of the CMR/I (Chubb) library and is used to test CMR/I
 *     nodes.
 *   - Chapter @ref azatrax documents the Azatrax Test programs. These programs
 *     are part of the Azatrax library are are used to test Azatrax USB modules
 *   - Chapter @ref xpressnetthrot documents the XPressNet Throttle program.
 *     This program is part of the XPressNet library and is a simple GUI
 *     program that implements the functionallity of the DCC control unit
 *     (aka a throttle).
 *   - Chapter @ref genericthrot documents the Generic Throttle program.
 *     This program implements the functionallity of a generic throttle. It
 *     can be used as the basis for a DC or DCC control unit or throttle, using
 *     a specific control library.
 *   - Chapters @ref timetable_Tutorial and @ref timetable_ref document the 
 *     Time Table (V2) program. This program is used to create employee 
 *     timetables.
 *   - Chapters @ref fcf_Tutorial and @ref fcf_Reference document the Freight 
 *     Car Forwarder (V2) program. This program is used to create switch 
 *     lists for freight car forwarding.
 *   - Chapters @ref rest_Reference and @ref locopull_Reference document the 
 *     calculator scripts, Resistor and LocoPull, that are available to help 
 *     model railroaders perform some common calculations.
 *   - Chapter @ref camera_Reference documents the camera scripts. These scripts perform 
 *     various camera scene calculations that are useful for model 
 *     railroaders.
 *   - Chapters @ref dispatcher_Tutorial, @ref dispatcher_Reference, and 
 *     @ref dispatcher_Examples document the automated dispatcher program.
 *   - Chapter @ref SatelliteDaemon documents the daemon for using satellite 
 *     computers.
 *   - Chapter @ref raildriverd documents the daemon program for the 
 *     RailDriver control stand console.
 */

#endif // __INTRODUCTION_H

